Metafunction
Convert
Return type of a conversion.
Convert<Target, Source>::Type
Include Headers
seqan/basic.h
Parameters

Target | Type the object should be converted to.
Source | Type of the object that should be converted to Target.

Remarks
A constant instance of Convert is (ab)used as tag argument of convertImpl.
Return Values

Type | Type that is returned by convert. Remarks: This is either Target or Target &: If instances of Source can be re-interpreted as instances of Target, than this metafunction returns a reference, otherwise it returns Target, that is convert returns a temporary.

Functions

convertImpl | Implements convert.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50